import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { NgxBlockLoadingOptions } from './ngx-block-loading.options';
import { NgxBlockLoadingService } from './ngx-block-loading.service';
export declare class NgxBlockLoadingInterceptor implements HttpInterceptor {
    private readonly service;
    private routesToIgnore;
    constructor(config: NgxBlockLoadingOptions, service: NgxBlockLoadingService);
    intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>>;
    private shouldIgnoreRoute;
}
