import { ElementRef, OnChanges, OnDestroy } from '@angular/core';
import { NgxBlockLoadingService } from './ngx-block-loading.service';
export declare class NgxBlockRenderedDirective implements OnChanges, OnDestroy {
    private readonly element;
    private readonly loadingService;
    private _isRendered;
    set isRendered(value: boolean | '');
    get isRendered(): boolean | '';
    static ngAcceptInputType_isRendered: boolean | '';
    constructor(element: ElementRef, loadingService: NgxBlockLoadingService);
    ngOnChanges(): void;
    ngOnDestroy(): void;
}
