import { ElementRef } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
export declare class NgxBlockLoadingService {
    loadingSource: BehaviorSubject<boolean>;
    private runningRequests;
    private rendering;
    get loading(): boolean;
    get loadingAsync(): Observable<boolean>;
    addRunningRequest(request: string): void;
    removeRunningRequest(request: string): void;
    addRenderingElement(element: ElementRef): void;
    removeRenderingElement(element: ElementRef): void;
    private changeLoading;
}
